# PublishToIvyRepository

API Documentation: | `PublishToIvyRepository`

Note: This class is incubating and may change in a future version of Gradle.

Publishes an IvyPublication to an IvyArtifactRepository.

### Properties

Property | Description
`publication` | Incubating The publication to be published.
`repository` | Incubating The repository to publish to.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `IvyPublication` `publication`

Note: This property is incubating and may change in a future version of Gradle.

The publication to be published.

#### `IvyArtifactRepository` `repository`

Note: This property is incubating and may change in a future version of Gradle.

The repository to publish to.